Subject: Re: error: cannot lock ref 'refs/remotes/origin/*'

From: Nicolas Bock <[email-masked]>
Date: Tue, 17 Jun 2008 09:49:48 -0600

I guess I don't understand refs. I figured that since I have

remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*

set, I should have a ref refs/remotes/origin/* as well.

On Tue, 2008-06-17 at 16:29 +0200, Johan Herland wrote:
> On Tuesday 17 June 2008, Nicolas Bock wrote:
> > This is what I get:
> >
> > $ git show-ref
> > a4995ae293fd95697a643cd3ea45585ecc38a19d refs/heads/ACT
> > 3378ccb42c22740b7fcc240ffa0e4f798b8acf1f refs/heads/master
> > 78e33155a0ab4ab0acba4c64758681fe99f1c5ca refs/heads/nick
> > ef66b3aa74b8c1edb55161e01a99dee7cf9edaa3 refs/remotes/origin/*
> > 3378ccb42c22740b7fcc240ffa0e4f798b8acf1f refs/remotes/origin/master
> >
> > in what sense is this ref "bogus"? Is it syntactically incorrect?
> 
> Yes, According to "man git-check-ref-format", asterisk is NOT allowed in 
> a ref name.
> 
> 
> ...Johan
>